/**
 * Handles audio playback.
 */
export declare class AudioPlayer {
    private readonly sampleRate;
    private audioContext;
    private analyser;
    private nextStartTime;
    private sources;
    private onDone?;
    private onStart?;
    private doneTimeout;
    constructor(onStart?: () => void, onDone?: () => void, sampleRate?: number);
    getEnergy(): number;
    play(base64Data: string): void;
    playBuffer(buffer: AudioBuffer): void;
    stop(): void;
}
